FCRONTAB(1)

NAME
fcrontab - Manipuler les fichiers fcrontab utilisateur

SYNOPSIS
fcrontab [ -c fichier ] [ -n ] fichier [ utilisateur | -u utilisateur ] fcrontab [ -c fichier ] [ -n ] { -l | -r | -e | -z } [ utilisateur | -u utilisateur ] fcrontab [ -h ]

DESCRIPTION

Fcrontab est le programme conçu pour installer, éditer, afficher et supprimer les tables utilisées par le démon fcron(8). Comme fcron utilise un format non humainement lisible (ceci est nécessaire car fcron enregistre beaucoup d'informations fournies par l'utilisateur, par exemple la date et l'heure de la prochaine exécution), l'utilisateur ne peut pas éditer directement son fichier fcrontab (celui utilisé par fcron).

Lorsqu'un utilisateur installe un fcrontab, le fichier source est enregistré dans le répertoire de travail (Ndt : spool directory) (/usr/local/var/spool/fcron) pour permettre des éditions ultérieures, un fichier formaté est généré par le démon fcron, qui est averti dix secondes avant la minute suivante de toutes les modifications effectuées précédemment. Le démon fcron ne reçoit pas immédiatement le signal lui annonçant qu'un fichier fcrontab a été modifié, mais en reçoit au plus un par minute, de façon à éviter que des utilisateurs mal intentionnés ne gênent le fonctionnement de fcron en faisant des modifications incessantes d'un fichier fcrontab (c.-à-d. attaque en déni de service). Nous appellerons, dans la suite du document, « fcrontab » le fichier source des tables fcrontab.

Un utilisateur peut installer un fcrontab si son nom est enregistré dans le fichier /usr/local/etc/fcron.allow et pas dans le fichier /usr/local/etc/fcron.deny (à moins qu'il n'y ait le mot clé « all »). Voir la section « FICHIERS » plus loin. Si aucun des fichiers fcron.allow ou fcron.deny n'existe, tous les utilisateurs sont autorisés. Il n'est pas nécessaire que ces deux fichiers existent, mais s'ils existent, le fichier fcron.deny est prioritaire.

La première forme de la commande est utilisée pour installer un nouveau fichier fcrontab, à partir d'un nom de fichier ou de l'entrée standard si le pseudo nom de fichier « - » est fourni sur la ligne de commande, remplaçant le fichier précédent (s'il existait) : chaque utilisateur ne peut avoir qu'un seul fichier fcrontab.

Par exemple, le super-utilisateur peut créer un fichier fcrontab pour le système, disons /etc/fcrontab, et lancer « fcrontab /etc/fcrontab » pour installer la nouvelle version après chaque modification du fichier. Ou bien, il peut créer un nouveau fichier fcrontab en lançant simplement « fcrontab », et le maintenir par la suite en lançant « fcrontab -e ». Les mêmes considérations s'appliquent à un utilisateur normal.

OPTIONS

-u utilisateur
    Spécifier l'utilisateur dont le fcrontab sera géré, ou « systab » pour le fcrontab système. Ne peut être utilisée que par le super-utilisateur. S'il n'est pas fourni, le fichier fcrontab de l'utilisateur qui a invoqué fcrontab sera traité. Cela peut être pratique puisque la commande su(8) peut tromper fcrontab.

    Note: l'« utilisateur » dans le synopsys est équivalent à « -u utilisateur ».

-l  Afficher sur la sortie standard le fcrontab actuel de l'utilisateur.

-e  Éditer le fcrontab actuel de l'utilisateur en utilisant l'éditeur spécifié soit par la variable d'environnement VISUAL, soit par la variable d'environnement EDITOR si VISUAL n'est pas positionnée. Si aucune des deux n'est positionnée, /usr/bin/vi sera utilisée.

-r  Effacer le fcrontab de l'utilisateur.

-z  Réinstaller le fcrontab de l'utilisateur à partir de son code source. Toutes les informations que fcron aurait pu conserver dans le fcrontab binaire (comme l'heure et la date de la prochaine exécution) seront perdues.

-n  Ignorer la version précédente. Si cette option n'est pas fournie, fcron essayera de conserver le plus d'informations possibles entre l'ancienne et la nouvelle version du fcrontab (date et heure de la prochaine exécution, la tâche est-elle dans une file série, etc.) si la ligne n'a pas été modifiée (mêmes champs, même commande shell).

-c fichier
    Forcer fcrontab à utiliser le fichier de configuration fichier à la place du fichier de configuration par défaut /usr/local/etc/fcron.conf. Pour interagir avec un processus fcron existant, fcrontab doit utiliser le même fichier de configuration que le processus. De cette manière, plusieurs processus fcron peuvent être exécutés simultanément sur un même système.

-d  Démarrer en mode débogage. Dans ce mode, beaucoup de messages d'informations seront produits en sortie afin de vérifier que tout se passe bien.

-h  Afficher une brève description des options.

-V  Afficher un message d'information à propos de fcrontab. Cela inclut sa version et la licence sous laquelle il est distribué.

VALEURS RENVOYÉES

Fcrontab renvoie 0 lorsqu'il quitte normalement, et 1 en cas d'erreur.

CONFORMITÉ

Devrait être conforme aux spécifications POSIX.

FICHIERS

/usr/local/etc/fcron.conf
    Fichier de configuration de fcron, fcrontab et fcrondyn : contient les chemins (répertoire spool, fichier pid) et les programmes par défaut à utiliser (éditeur, shell, etc.). Voir fcron.conf(5) pour plus de détails.

/usr/local/etc/fcron.allow
    Utilisateurs autorisés à utiliser fcrontab et fcrondyn (un seul nom par ligne, le nom spécial « all » signifiant tout le monde).

/usr/local/etc/fcron.deny
    Utilisateurs autorisés à utiliser fcrontab et fcrondyn (un seul nom par ligne, le nom spécial « all » signifiant tout le monde).

/usr/local/etc/pam.d/fcron (or /usr/local/etc/pam.conf)
    Fichier de configuration PAM pour fcron. Voir pam(8) pour plus de détails.

VOIR AUSSI
fcrontab(1), fcrondyn(1), fcrontab(5), fcron.conf(5), fcron(8). Si vous êtes en train d'apprendre à utiliser fcron, je vous suggère plutôt de lire la version HTML de la documentation (si ce n'est pas déjà ce que vous faites en ce moment ! :) ) : le contenu est le même, mais il est plus aisé de naviguer grâce aux hyperliens.

AUTEUR

Thibault Godouet <fcron@free.fr>

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 6 février 2006

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=en man 1 fcrontab ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.